import request from '@/utils/request'

// 查询资产类型列表
export function listAssetType(query) {
  return request({
    url: '/wuYe/assetType/list',
    method: 'get',
    params: query
  })
}

// 查询资产类型详细
export function getAssetType(assetId) {
  return request({
    url: '/wuYe/assetType/' + assetId,
    method: 'get'
  })
}

// 新增资产类型
export function addAssetType(data) {
  return request({
    url: '/wuYe/assetType',
    method: 'post',
    data: data
  })
}

// 修改资产类型
export function updateAssetType(data) {
  return request({
    url: '/wuYe/assetType/put',
    method: 'post',
    data: data
  })
}

// 删除资产类型
export function delAssetType(assetId) {
  return request({
    url: '/wuYe/assetType/delete/' + assetId,
    method: 'get'
  })
}
